*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    font-family: 'Poppins', sans-serif;
    background-image: url('../images/Backgrounds/Background-1.jpg');
    cursor: url('../images/Extras/cursor/BrawlStars.cur'), auto;
    overflow-x: hidden;
}

body.night{
    background: #00151f;
    transition: 0.5s;
}

body.night h1,
body.night p,
body.night .cursor1 .text1{
    color: #fff;
}

a{
    cursor: url('../images/Extras/cursor/BrawlStarsTaraLink.cur'), auto;
}

/* --------------- Day/Night Toggle Button ------------------------ */

.toggle{
    position: absolute;
    top: 55px;
    right: 50px;
    background: #fff;
    border: 2px solid #00151f;
    width: 45px;
    height: 25px; /* Ajustar */
    cursor: pointer;
    border-radius: 20px;
    transition: 0.5s;
}

.toggle.active{
    background: #00151f;
    border: 2px solid #fff;
}

.toggle:before{
    content: '';
    position: absolute;
    top: 1.5px; /* Ajustar */
    left: 2.5px; /* Ajustar */
    width: 18px;
    height: 18px;
    background: #00151f;
    border-radius: 50%;
    transition: 0.5s;
}

.toggle.active:before{
    left: 20px;
    background: #fff;
}

/* ------------------ Scroll Bar ---------------- */

::-webkit-scrollbar{
    width: 0;
}

#scrollPath{
    position: fixed;
    top: 0;
    right: 0;
    width: 10px;
    height: 100%;
    background: rgba(255, 255, 255, 0.05);
}

#progressBar{
    position: fixed;
    top: 0;
    right: 0;
    width: 10px;
    background: linear-gradient(to top, #008aff, #00ffe7);
    animation: animate2 5s linear infinite;
}

@keyframes animate2 {
    0%, 100%{
        filter: hue-rotate(0deg);
    }
    50%{
        filter: hue-rotate(360deg);
    }
}

#progessBar:before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to top, #008aff, #00ffe7);
    filter: blur(10px);
}

#progessBar:after{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to top, #008aff, #00ffe7);
    filter: blur(30px);
}

/* --------------- AnimatedCircleTextEffect-Cursor ---------------- */
/* el problema que tiene esto, esque aunque esconda su section, o lo implemente en todo el body, si se pone el curso hacia la derecha, el width de la página empieza a extenderse... */

.cursor1{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 0px;
    background: #111; 
    /* overflow: hidden; */
    
}

.cursor1 .text1{
    position: absolute;
    /* color: #fff; */
    color: #000;
    font-size: 1.5em;
    user-select: none;
    pointer-events: none;
    animation: animate 7.5s linear infinite;
}

@keyframes animate{
    0%{
        transform: rotate(0deg);
    }
    100%{
        transform: rotate(-360deg);  /* Para hacer que gire hacia la izquierda, vale con poner en negativo este 360 o poner 360 arriba en el 0% */
    
    }
}

.cursor1 .text1 span{
    position: absolute;
    top: -100px;
    text-transform: uppercase;
    display: inline-block;
    transform-origin: 0 90px;  /* para el diámetro del círculo */   
}

/* ------------------- Scroll To Top Button ------------------ */

.scrollTop{
    position: fixed;
    bottom: 800px;
    right: 40px;
    width: 60px;
    height: 60px;
    background: #fff url('../images/Extras/up.png');
    border-radius: 50%;
    background-size: 40px;
    background-position: center;
    background-repeat: no-repeat;
    cursor: pointer;
    z-index: 100000;
    visibility: hidden;
    opacity: 0;
    transition: 0.5s; /* para la velocidad con que termina de aparecer por completo el botón (velicidad de fade) */
}

.scrollTop.active{
    visibility: visible;
    opacity: 1;
    bottom: 40px;
}

/* ------------------ NavBAr -------------------- */

li, a, button{
    font-family: "Montserrat", sans-serif;
    font-weight: 500;
    font-size: 16px;
    /* color: #edf0f1; */
    color: rgb(255, 255, 255);
    text-decoration: none;
}

header{
    width: 100%; 
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 2% 10%;
    /* background-image: url('../images/Backgrounds/Background-1.jpg'); */
}

.logo{
    cursor: pointer;
}

header img{
    width: 45px; 
    height: 67px; 
}

.NavLinks{
    list-style: none;
    width: 100%;  /*OJO*/
}

.NavLinks li{
    display: inline-block;
    padding: 0px 10px;
    margin-left: 15px; /* */
}

.NavLinks li a{
    transition: all 0.3s ease 0s;
    text-decoration: none;
    padding-left: 14%;
}

.NavLinks li a:hover{
    color: #0088a9;
}

/* button{ 
    padding: 9px 25px;
    color: white;
    background-color: rgb(255, 152, 34);
    border: none;
    border-radius: 50px;
    cursor: pointer;
    transition: all 0.3s ease 0s;
}

button:hover{
    background-color: rgba(7, 201, 0, 0.8);
}*/

/* ---------------- Botones chulos del navbar ----------- */

.btn1{
    width: 130%;
    height: 30px;
    padding-top: 6px;
    display: inline-block;
    background: #ff523b;
    color: #fff;
    /* padding: 8px 30px; */
    /* margin: 30px 0; */
    border-radius: 15px;
    transition: background 0.5s;
}

.btn1:hover{
    background: #563434;
}

/* ---------------- Boton GUAI LOGIN navbar ------------- */

.container1{
    width: 20%;
    /* padding-right: 100%; */
    /* padding-left: 500px;   */
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around; 
}

.container1 .btn2{
    position: relative;
    width: 155px;
    height: 50px;
    margin: 20px;
}

.container1 .btn2 a{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgba(255, 255, 255, 0.05);
    box-shadow: 0 15px 35px rgba(0, 0, 0, 0.2);
    border-top: 1px solid rgba(255, 255, 255, 0.1);
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
    border-radius: 30px;
    color: #fff;
    z-index: 1;
    font-weight: 400;
    letter-spacing: 1px;
    text-decoration: none;
    overflow: hidden;
    transition: 0.5s;
    backdrop-filter: blur(15px);
}

.container1 .btn2:hover a{
    letter-spacing: 3px;
}

.container1 .btn2 a::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 50%;
    height: 100%;
    background: linear-gradient(to left, rgba(255, 255, 255, 0.15), 
    transparent);
    transform: skewX(45deg) translateX(0);
    transition: 0.5s;
}

.container1 .btn2:hover a::before{
    transform: skewX(45deg) translateX(200%);
}

.container1 .btn2::before{
    content: '';
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: -5px;
    width: 30px;
    height: 10px;
    background: #f00;
    border-radius: 10px;
    transition: 0.5s;
    transition-delay: 0s;
}

.container1 .btn2:hover::before{
    bottom: 0;
    height: 50%;
    width: 80%;
    border-radius: 30px;
    transition-delay: 0.5s;
}

.container1 .btn2::after{
    content: '';
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    top: -5px;
    width: 30px;
    height: 10px;
    background: #f00;
    border-radius: 10px;
    transition: 0.5s;
    transition-delay: 0s;
}

.container1 .btn2:hover::after{
    top: 0;
    height: 50%;
    width: 80%;
    border-radius: 30px;
    transition-delay: 0.5s;
}

.container1 .btn2:nth-child(1)::before, 
.container1 .btn2:nth-child(1)::after{
    background: #ff1f71;
    box-shadow: 0 0 5px #ff1f71,
    0 0 15px #ff1f71,
    0 0 30px #ff1f71,
    0 0 60px #ff1f71;
}

.container1 .btn2:nth-child(2)::before, 
.container1 .btn2:nth-child(2)::after{
    background: #2bd2ff;
    box-shadow: 0 0 5px #2bd2ff,
    0 0 15px #2bd2ff,
    0 0 30px #2bd2ff,
    0 0 60px #2bd2ff;
}

.container1 .btn2:nth-child(3)::before, 
.container1 .btn2:nth-child(3)::after{
    background: #1eff45;
    box-shadow: 0 0 5px #1eff45,
    0 0 15px #1eff45,
    0 0 30px #1eff45,
    0 0 60px #1eff45;
}

/* ------------------------------------------------------------------------------- */
.header{
    margin-top: -5%;
    margin-bottom: 5%;
    /* background: ; */
}

.container{
    max-width: 100%;
    /* margin: auto; */
    padding-left: 50px;
    padding-right: 25px;
    padding-top: 30px;
}

.row{
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: space-around;
}

.col-2{
    flex-basis: 50%;
    min-width: 300px;
}

.col-2 img{
    max-width: 100%;
    padding: 50px 0;
    padding-top: 100px;
}

.col-2 h1{
    font-size: 50px;
    line-height: 60px;
    margin: 25px 0;
    color: #00151f;
}

.col-2 p{
    color: #00151f;
}

.btn{
    display: inline-block;
    background: #ff523b;
    color: #fff;
    padding: 8px 30px;
    border-radius: 30px;
    transition: background 0.5s;
    /* margin-top: 0; */
}

.btn:hover{
    background: #563434;
}

.header .row{
    margin-top: 70px;

}

.categories{
    margin: 70px 0;
}

.col-3{
    flex-basis: 30%;
    min-width: 250px;
    margin-bottom: 30px;
}

.col-3 img{
    width: 100%;
}

.small-container{
    max-width: 1080px;
    margin: auto;
    padding-left: 25px;
    padding-right: 25px;
}

.col-4{
    flex-basis: 25%;
    padding: 10px;
    min-width: 200px;
    margin-bottom: 50px;
    transition: transform 0.5s;
}

.col-4 img{
    width: 100%;
}

.title{
    text-align: center;
    margin: 0 auto 80px;
    position: relative;
    line-height: 60px;
    color: #555;
}

.title::after{
    content: '';
    background: #ff523b;
    width: 80px;
    height: 5px;
    border-radius: 5px;
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
}

h4{
    color: #555;
    font-weight: normal;
}

.col-4 p{
    font-size: 14px;
}

.rating .fa{
    color: #ff523b;
}

.col-4:hover{
    transform: translateY(-5px);
}




/* ---------------- FOOTER ---------------- */

.container2{
    max-width: 1300px;
    margin: auto;
    padding-left: 40px;
    padding-right: 25px;
}

.footer{
    background: #000;
    color: #fff;
    font-size: 14px;
    padding: 60px 0 20px;
}

.footer p{
    color: #fff;
}

.footer h3{
    color: #fff;
    margin-bottom: 20px;
}

.footer-col-1, .footer-col-2, .footer-col-3, .footer-col-4{
    min-width: 250px;
    margin-bottom: 20px;
}

.footer-col-1{
    flex-basis: 30%;
}

.footer-col-2{
    flex: 1;
    text-align: center;
}

.footer-col-2 img{
    width: 180px;
    margin-bottom: 20px;
}

.footer-col-3, .footer-col-4{
    flex-basis: 12%;
    text-align: center;
}

ul{
    list-style-type: none;
}

ul li{
    list-style: none;
    list-style-type: none;
    text-decoration: none;
    color: #fff;
}

ul li a{
    list-style: none;
    list-style-type: none;
    text-decoration: none;
    color: #fff;
}

.app-logo{
    margin-top: 20px;
}

.app-logo img{
    width: 140px;
}

.footer hr{
    border: none;
    background: #b5b5b5;
    height: 1px;
    margin: 20px 0;
}

.copyright{
    text-align: center;
}

.menu-icon{
    width: 28px;
    margin-left: 20px;
    display: none;
}